RoverNodeClient¶
- class oci.rover.RoverNodeClient(config, **kwargs)¶
A description of the RoverCloudService API.
Methods:
__init__(config, **kwargs)Creates a new service client
change_rover_node_compartment(rover_node_id, ...)Moves a rover node into a different compartment.
create_rover_node(create_rover_node_details, ...)Creates a new RoverNode.
delete_rover_node(rover_node_id, **kwargs)Deletes a RoverNode resource by identifier
get_rover_node(rover_node_id, **kwargs)Gets a RoverNode by identifier.
get_rover_node_certificate(rover_node_id, ...)Get the certificate for a rover node
get_rover_node_encryption_key(rover_node_id, ...)Get the data encryption key for a rover node.
get_rover_node_get_rpt(rover_node_id, jwt, ...)Get the resource principal token for a rover node
list_rover_nodes(compartment_id, **kwargs)Returns a list of RoverNodes.
Retrieve Ca Bundle for a rover node
rover_node_action_set_key(rover_node_id, ...)Get the resource principal public key for a rover node
Request to generate certificate for a roverNode.
Request to renew certificate for a roverNode.
Request to replace certificate authority for a roverNode.
Retrieve the leaf certificate info for a rover node
update_rover_node(rover_node_id, ...)Updates the RoverNode
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- change_rover_node_compartment(rover_node_id, change_rover_node_compartment_details, **kwargs)¶
Moves a rover node into a different compartment.
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
change_rover_node_compartment_details (oci.rover.models.ChangeRoverNodeCompartmentDetails) – (required) CompartmentId of the destination compartment
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_rover_node_compartment API.
- create_rover_node(create_rover_node_details, **kwargs)¶
Creates a new RoverNode.
- Parameters
create_rover_node_details (oci.rover.models.CreateRoverNodeDetails) – (required) Details for the new RoverNode.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_rover_node API.
- delete_rover_node(rover_node_id, **kwargs)¶
Deletes a RoverNode resource by identifier
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_rover_node API.
- get_rover_node(rover_node_id, **kwargs)¶
Gets a RoverNode by identifier.
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_rover_node API.
- get_rover_node_certificate(rover_node_id, **kwargs)¶
Get the certificate for a rover node
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRoverNodeCertificate- Return type
- Example
Click here to see an example of how to use get_rover_node_certificate API.
- get_rover_node_encryption_key(rover_node_id, **kwargs)¶
Get the data encryption key for a rover node.
- Parameters
rover_node_id (str) – (required) Serial number of the rover node.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRoverNodeEncryptionKey- Return type
- Example
Click here to see an example of how to use get_rover_node_encryption_key API.
- get_rover_node_get_rpt(rover_node_id, jwt, **kwargs)¶
Get the resource principal token for a rover node
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
jwt (str) – (required) The Java Web Token which is a signature of the request that is signed with the resource’s private key This is meant solely in the context of getRpt
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRoverNodeGetRpt- Return type
- Example
Click here to see an example of how to use get_rover_node_get_rpt API.
- list_rover_nodes(compartment_id, **kwargs)¶
Returns a list of RoverNodes.
- Parameters
compartment_id (str) – (required) The OCID of the compartment in which to list resources.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
node_type (str) –
(optional) A filter to return only Nodes of type matched with the given node type.
Allowed values are: “STANDALONE”, “CLUSTERED”, “STATION”
shape (str) – (optional) A filter to return only Nodes of type matched with the given node shape.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
lifecycle_state (str) –
(optional) A filter to return only resources their lifecycleState matches the given lifecycleState.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRoverNodeCollection- Return type
- Example
Click here to see an example of how to use list_rover_nodes API.
- rover_node_action_retrieve_ca_bundle(rover_node_id, **kwargs)¶
Retrieve Ca Bundle for a rover node
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCaBundleResponse- Return type
- Example
Click here to see an example of how to use rover_node_action_retrieve_ca_bundle API.
- rover_node_action_set_key(rover_node_id, jwt, rover_node_action_set_key_details, **kwargs)¶
Get the resource principal public key for a rover node
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
jwt (str) – (required) The Java Web Token which is a signature of the request that is signed with the resource’s private key This is meant solely in the context of getRpt
rover_node_action_set_key_details (oci.rover.models.RoverNodeActionSetKeyDetails) – (required) The information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRoverNodeSetKey- Return type
- Example
Click here to see an example of how to use rover_node_action_set_key API.
- rover_node_generate_certificate(rover_node_generate_certificate_details, rover_node_id, **kwargs)¶
Request to generate certificate for a roverNode.
- Parameters
rover_node_generate_certificate_details (oci.rover.models.RoverNodeGenerateCertificateDetails) – (required) The information provided to generate certificate.
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeGenerateCertificateResponse- Return type
- Example
Click here to see an example of how to use rover_node_generate_certificate API.
- rover_node_renew_certificate(rover_node_renew_certificate_details, rover_node_id, **kwargs)¶
Request to renew certificate for a roverNode.
- Parameters
rover_node_renew_certificate_details (oci.rover.models.RoverNodeRenewCertificateDetails) – (required) The information provided to renew certificate.
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRenewCertificateResponse- Return type
- Example
Click here to see an example of how to use rover_node_renew_certificate API.
- rover_node_replace_certificate_authority(rover_node_replace_certificate_authority_details, rover_node_id, **kwargs)¶
Request to replace certificate authority for a roverNode.
- Parameters
rover_node_replace_certificate_authority_details (oci.rover.models.RoverNodeReplaceCertificateAuthorityDetails) – (required) The information provided to replace certificate authority.
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeReplaceCertificateAuthorityResponse- Return type
- Example
Click here to see an example of how to use rover_node_replace_certificate_authority API.
- rover_node_retrieve_leaf_certificate(rover_node_id, **kwargs)¶
Retrieve the leaf certificate info for a rover node
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeLeafCertificateResponse- Return type
- Example
Click here to see an example of how to use rover_node_retrieve_leaf_certificate API.
- update_rover_node(rover_node_id, update_rover_node_details, **kwargs)¶
Updates the RoverNode
- Parameters
rover_node_id (str) – (required) Unique RoverNode identifier
update_rover_node_details (oci.rover.models.UpdateRoverNodeDetails) – (required) The information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use update_rover_node API.